import numpy as np
import matplotlib.pyplot as plt
import os


time, accelX, accelY, accelZ, gyroX, gyroY, gyroZ, magX, magY, magZ = [], [], [], [], [], [], [], [], [], []

for f in os.listdir('./'):
    if not f.endswith('mpu.csv'):
        continue
    print(f)
    plt.figure()
    plt.title(f)
    a = np.loadtxt('./'+f, delimiter=',')
    time.extend(a[:,0])
    accelX.extend(a[:,1])
    accelY.extend(a[:,2])
    accelZ.extend(a[:,3])
    gyroX.extend(a[:,4])
    gyroY.extend(a[:,5])
    gyroZ.extend(a[:,6])
    magX.extend(a[:,7])
    magY.extend(a[:,8])
    magZ.extend(a[:,9])

plt.scatter(time, magX, label='x')
plt.scatter(time, magY, label='y')
plt.scatter(time, magZ, label='z')
plt.legend()
plt.show()
